## How to contribute to Diconfinement

#### **Did you find a bug?**

* **Do not open up a GitHub issue if the bug is a security vulnerability but send a mail to antoine.flinois@tutanota.com instead

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/Flinou/Dico/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/Flinou/Dico/issues/new/choose)

#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.


#### **Did you fix whitespace, format code, or make a purely cosmetic patch?**

Changes that are cosmetic in nature and do not add anything substantial to the stability, functionality, or testability of Diconfinement will generally not be accepted.

#### **Do you intend to add a new feature or change an existing one?**

* Suggest your change in the [feature request](https://github.com/Flinou/Dico/issues/new/choose) and start writing code.

* Do not open an issue on GitHub until you have collected positive feedback about the change. GitHub issues are primarily intended for bug reports and fixes.

#### **Do you have questions about the source code?**

* Ask any question about how to use Diconfinement sending mail to antoine.flinois@tutanota.com

Merci ! :heart: :heart: :heart:

Flinou
